/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    // OBJ TO HOLD USERS CURRENT WEBPAGE LOCATION
    currentPage : window.location.pathname.substring (window.location.pathname.lastIndexOf ('/') + 1),

    // FUNCTION TO EXECUTE CODE BASED ON LOCATION
    userLocation : function (pagename) {"use strict";
        var page = pagename;
        $ ('#nav a').removeClass ('active');
        switch(page) {
            case 'index':
                $ ('#nav-home').addClass ('active');
                break;
            case 'about':
                $ ('#nav-about').addClass ('active');
                break;
            case 'cast':
                $ ('#nav-cast').addClass ('active');
                break;
            case 'news':
                $ ('#nav-news').addClass ('active');
                break;
            case 'reviews':
                $ ('#nav-reviews').addClass ('active');
                break;
            case 'tickets':
                $ ('#nav-tickets').addClass ('active');
                break;
            case 'gallery':
                $ ('#nav-gallery').addClass ('active');
                break;
            case 'privacy':
                $ ('#nav a').removeClass ('active');
                break;
            default:
                // No Case
                $ ('#nav-home').addClass ('active');
        }
    },
    
    optinFormValidate: function() {
    	"use strict";

      var formName = "";
      
      $(".subscribe").each(function(i){
      
      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);
      
          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : 'Enter a valid email'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action.php',
                type : 'POST',
                data : $(form).serialize(),
                success : function() {
                  $(form).hide();
                  $(form).parent("div").append('<h3 class="text-center form-thanks">THANK YOU FOR SIGNING UP.</h3>');
                }
              });
              return false;
            }
          });
      
      });
    },
    
    nav: function() {
    	"use strict";

    	$("#btn-menu").on("click",function(e){
      	e.preventDefault();
      	if( $("#nav").hasClass("open") ){
        	$("#nav, #btn-menu").removeClass("open");
        	$("#btn-menu").removeClass("fa-times-thin").addClass("fa-bars");
      	} else {
        	$("#nav, #btn-menu").addClass("open");
        	$("#btn-menu").addClass("fa-times-thin").removeClass("fa-bars");
      	}
    	});
    	
    	$("#icon-envelope").click(function(){
      	$("html").addClass("modal-open");
    	});
	
    },
    
    video: function() {
    	"use strict";
    	
    	$(".video-link").each(function(e){
      	  if( $(this).data("thumb") != "" ){
        	  $(this).html('<div class="video-thumb"><img src="'+ $(this).data("thumb") +'" class="w100"></div>');
      	  } else {
        	  $(this).html('<div class="video-thumb"><img src="http://img.youtube.com/vi/'+ $(this).data("id") +'/hqdefault.jpg" class="w100"></div>');
      	  }
      	  if( $(this).data("caption") != "" ){
      	    //console.log('yo');
        	  $(this).append("<div class='video-caption'>"+$(this).data("caption")+"</div>");
      	  }
    	});
    	
    	$(document).on("click",".video-link",function(e){
    	    e.preventDefault();
    	    if( $("#video-overlay-close").length == 0 ){
      	    $("#video-overlay").append('<a id="video-overlay-close"></a>');
    	    }
        	$("#video-overlay-inner").html('<iframe src="https://www.youtube.com/embed/'+ $(this).data("id") +'?rel=0&modestbranding=1&autohide=1&showinfo=0&autoplay=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>');
        	$("html").addClass("video-overlay-open");
    	});
    	
    	$(document).on("click","#video-overlay-close, #video-overlay",function(e){
    	    e.preventDefault();
        	$("#video-overlay-inner").html('');
        	$("html").removeClass("video-overlay-open");
    	});
	
    },
    
    quotes: function() {
    	"use strict";
      $('#quotes').quote_rotator();
	
    }
};

// jQuery Namespace
$ (document).ready (function () {"use strict";
    $('html').addClass('page-loaded');
    COMMONUTILS.userLocation(COMMONUTILS.currentPage);
    COMMONUTILS.optinFormValidate();
    COMMONUTILS.nav();
    COMMONUTILS.video();
    COMMONUTILS.quotes();
    $('#gallery-overlay-inner').html( $('#gallery').html() );
      
$('#gallery-overlay-inner').slick({
  slidesToShow: 1,
  slidesToScroll: 1,
  arrows: true,
  fade: true,
  asNavFor: '#gallery'
});
    $('#gallery').slick({
  /*slidesToShow: 3,
  slidesToScroll: 1,
  dots: true,*/
  asNavFor: '#gallery-overlay-inner',
  centerMode: false,
  focusOnSelect: true,
      dots: false,
      infinite: true,
      speed: 300,
      slidesToShow: 3,
      slidesToScroll: 3,
      responsive: [
        {
          breakpoint: 600,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1
          }
        }
      ]
      });
    /*  
$('#gallery-overlay-inner').slick({
  slidesToShow: 1,
  slidesToScroll: 1,
  arrows: false,
  fade: true,
  asNavFor: '.slider-nav'
});
$('.slider-nav').slick({
  slidesToShow: 3,
  slidesToScroll: 1,
  asNavFor: '.slider-for',
  dots: true,
  centerMode: true,
  focusOnSelect: true
});*/
      
    $(document).on("click",".gallery-image",function(e){
      e.preventDefault();
      $("html").addClass('gallery-overlay-open');
    	    if( $("#gallery-overlay-close").length == 0 ){
      	    $("#gallery-overlay").append('<a id="gallery-overlay-close"></a>');
    	    }
    });
    	
  	$(document).on("click","#gallery-overlay-close, #gallery-overlay",function(e){
  	    e.preventDefault();
      	//$("#gallery-overlay-inner").html('');
      	$("html").removeClass("gallery-overlay-open");
  	});
    	
  	$(document).on("click","button.slick-next.slick-arrow,a.gallery-image",function(e){
  	    e.stopPropagation();
  	});
});

// EOF